pydo.databases.promote_replica()
Generated on 9 Jun 2026
from pydo version
v0.36.0
Usage
client.databases.promote_replica(
database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
replica_name="read-nyc3-01",
)Description
To promote a specific read-only replica, send a PUT request to /v2/databases/{database_cluster_uuid}/replicas/{replica_name}/promote.
Note: Read-only replicas are not supported for Caching or Valkey clusters.
A status of 204 will be given. This indicates that the request was processed successfully, but that no response body is needed.
Parameters
database_cluster_uuidstring requiredA unique identifier for a database cluster.
replica_namestring requiredThe name of the database replica.
Request Sample
More Information
See /v2/databases/{database_cluster_uuid}/replicas/{replica_name}/promote in the API reference for additional detail on responses, headers, parameters, and more.